Summary:	Cute little penguins that walk along the tops of your windows
Name:		xpenguins
Version:	3.2.3
Release:	%mkrel 2
License:	GPLv2
Group:		Toys
URL:		https://www.ratrabbit.nl/ratrabbit/software/xpenguins/index.html
Source0:	https://www.ratrabbit.nl/downloads/xpenguins/%{name}-%{version}.tar.gz
Source1:	%{name}-32x32.png
Source2:	%{name}-16x16.png
Source3:	%{name}-48x48.png

BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xt)

%description
XPenguins animates a friendly family of penguins in your root window.
They drop in from the top of the screen, walk along the tops of your
windows, up the side of your windows, levitate, skateboard, and do
other similarly exciting things. XPenguins is now themeable so if
you're bored of penguins, try something else. The themes that come
with this package are "Penguins", "Classic Penguins" and "Turtles".

%prep
%autosetup -p1

# Add it to "Toys" menu
sed -e "s/Categories.*/Categories=Amusement;Game;/" -i src/%{name}.desktop

%build
%configure
%make_build

%install
%make_install

mkdir -p  %{buildroot}{%{_datadir}/applications,%{_iconsdir},%{_miconsdir},%{_liconsdir}}
install -Dpm644 %{SOURCE1} %{buildroot}%{_iconsdir}/%{name}.png
install -Dpm644 %{SOURCE2} %{buildroot}%{_miconsdir}/%{name}.png
install -Dpm644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png

%files
%license COPYING
%doc README* AUTHORS ChangeLog lay-out-frames.scm
%{_bindir}/%{name}
%{_mandir}/man1/*
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/themes
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.2.3-2.mga10
+ Revision: 2228162
- Mageia 10 Mass Rebuild

* Tue Sep 24 2024 daviddavid <daviddavid> 3.2.3-1.mga10
+ Revision: 2101031
- new version: 3.2.3 (Thanks to Aurelian R, mga#33588)

* Sat Aug 10 2024 wally <wally> 2.2-18.mga10
+ Revision: 2085453
- fix build with gcc14

* Wed Mar 30 2022 umeabot <umeabot> 2.2-18.mga9
+ Revision: 1835125
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.2-17.mga8
+ Revision: 1518893
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.2-16.mga7
+ Revision: 1301959
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.2-15.mga6
+ Revision: 946620
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2-14.mga5
+ Revision: 747560
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2-13.mga5
+ Revision: 690748
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.2-12.mga4
+ Revision: 520707
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.2-11.mga3
+ Revision: 387304
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 dams <dams> 2.2-10.mga1
+ Revision: 76828
- Fix BuildRequires by adding libxt-devel
- Import & clean
- imported package xpenguins


* Sat Feb 20 2010 Funda Wang <fwang@mandriva.org> 2.2-10mdv2010.1
+ Revision: 508756
- fix str fmt

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2-9mdv2009.0
+ Revision: 262683
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2-8mdv2009.0
+ Revision: 257669
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.2-6mdv2008.1
+ Revision: 135561
- fix directory creation
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel
- import xpenguins


* Thu Jan 05 2006 Lenny Cartier <lenny@mandriva.com> 2.2-6mdk
- rebuild

* Fri Jul 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.2-5mdk
- rebuild

* Sun Jun 15 2003 Götz Waschk <waschk@linux-mandrake.com> 2.2-4mdk
- arrgh, forgot to type C-c C-r

* Sat Jun 14 2003 Götz Waschk <waschk@linux-mandrake.com> 2.2-3mdk
- add the data dir
- add buildrequires
- remove prefix

* Mon Sep  9 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 2.2-3mdk
- added Packager

* Mon Mar  4 2002 Götz Waschk <waschk@linux-mandrake.com> 2.2-2mdk
- substitute xpm by png icons
- fix data dir by using %%makeinstall_std macro

* Tue Oct 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2-1mdk
- fixed & updated by Götz Waschk <waschk@linux-mandrake.com> :
	- fixed rpmlint warning about non-transparent icon
	- 2.2

* Fri Jun 22 2001 Etienne Faure <etienne@mandrakesoft.com> 2.1-2mdk
- large icon

* Fri Jun 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1-1mdk
 
 - added in contribs bu Götz Waschk <waschk@linux-mandrake.com> :
         - adapted package for Mandrake

* Sat May  5 2001 Robin Hogan <R.J.Hogan@reading.ac.uk> 1.9.1-1
- First spec file used with autoconf
* Tue May 23 2000 Robin Hogan <R.J.Hogan@reading.ac.uk> 1.2-1
- Use BuildRoot.

# end of file
